#include "MPU6050.h" //motion processor

#include "Wire.h"//actually TinyWireM with names changed
#include "I2Cdev.h"//I2C device library

#include "SoftwareSerial.h"//for debugging

#define LED_PIN 4
bool blinkState = false;//unused

//negative one to indicate unused- it is only transmitting
SoftwareSerial mySerial(-1,3);  

MPU6050 accel;
int16_t ax, ay, az, gx, gy, gz;


//multiply rotational value by this to get a degree between 90 and -90
const float val_to_deg = 0.005625; 

/*pinnout:
               'RESET' 1   8 'VCC'
to RX of serial    '3' 2   7 '2'    SCL of MPU
                   '4' 3   6 '1' 
                 'GND' 4   5 '0'    SDA of MPU

RX is a bluetooth transmitter in my case, 
but here is a tutorial on using your arduino as a debug stream
http://www.instructables.com/id/Attiny-serial-monitor-using-arduino-walkthrough/
*/

void setup() {

  //join ic2 bus
  Wire.begin();
  
  //start serial (attached to bluetooth module)
  mySerial.begin(9600);  

  //initialize accelerometer
  accel.initialize();
  
  //configure status LED
  pinMode(LED_PIN, OUTPUT);
  
  //testing connection
  mySerial.println("Testing device connections...");
  
  mySerial.println(accel.testConnection() ? "MPU6050 connection successful" : "MPU6050 connection failed");

  //output LED - off means it works.
  digitalWrite(LED_PIN, (accel.testConnection() ? LOW : HIGH));

}

void loop() {
    //read accel values
    accel.getAcceleration(&ax, &ay, &az);
    accel.getRotation(&gx, &gy, &gz);
    
     mySerial.println(gx);
     delay(1000);
    
    if (ax > 2000){//for when it works to check values
      //digitalWrite(LED_PIN, LOW);
    }
    else{//for when it works to check values
      //digitalWrite(LED_PIN, HIGH);
    }
}



